#! /bin/bash

# file: next.sh

# This bash script analyzes the record named in its command-line argument ($1),
# saving the results as an annotation file for the record, with annotator 'qrs'.
# This script is run once for each record in the Challenge test set.

# For example, if invoked as
#    next.sh 100

# Based on sample octave script by Ikaro Silva

if [ -z "$DEBUG" ]; then
	DEBUG=0
fi

OCTAVE='octave --quiet --eval '
RECORD=$1
RPATH=`pwd`
STR="${OCTAVE} \"challenge('$RECORD',$DEBUG); quit;\" 2>&1"
echo "$STR"
eval ${STR}
